> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polynode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet Merges

> Get all merge events for a wallet. Merges occur when outcome tokens are converted back into USDC.

Returns merge events where outcome tokens were converted back into USDC for a market condition.

## Request

```
GET /v3/wallets/{address}/merges
```

### Query parameters

| Parameter | Type    | Default | Description                          |
| --------- | ------- | ------- | ------------------------------------ |
| `after`   | integer | --      | Start of time range (Unix timestamp) |
| `before`  | integer | --      | End of time range                    |
| `limit`   | integer | 100     | Max 300                              |
| `offset`  | integer | 0       | Pagination offset                    |

## Example

```bash theme={null}
curl https://api.polynode.dev/v3/wallets/0xada100874d00e3331d00f2007a9c336a65009718/merges?limit=1
```

```json theme={null}
{
  "data": [
    {
      "id": "0x56e84b69492dff41fae8aa932695eec8b90931aa286ce09d9565932d72e4a1f4_0x612",
      "timestamp": "1778482999",
      "condition": "0x649340b2a3e39f7d0de414d6891a14b6e1969293f8fec3ccb481572fd2375e34",
      "amount": "20000000"
    }
  ],
  "rows_returned": 1,
  "has_more": true,
  "elapsed_ms": 2
}
```

## Response fields

| Field       | Type   | Description                      |
| ----------- | ------ | -------------------------------- |
| `id`        | string | Merge event ID                   |
| `timestamp` | string | Unix timestamp                   |
| `condition` | string | Market condition ID              |
| `amount`    | string | USDC amount received (6-decimal) |
